<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ColumnInfoRecordsAggregate (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ColumnInfoRecordsAggregate (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ColumnInfoRecordsAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/ChartSubstreamRecordAggregate.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/ConditionalFormattingTable.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="ColumnInfoRecordsAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.aggregates</div>
    <h2 title="Class ColumnInfoRecordsAggregate" class="title">Class ColumnInfoRecordsAggregate</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                               title="class in org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates.RecordAggregate</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.record.aggregates.ColumnInfoRecordsAggregate</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">ColumnInfoRecordsAggregate</span>
extends <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
           title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a>
implements java.lang.Cloneable</pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Glen Stampoultzis</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate.PositionTrackingVisitor</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                       title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#ColumnInfoRecordsAggregate--">ColumnInfoRecordsAggregate</a></span>()</code>
                                    <div class="block">Creates an empty aggregate</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#ColumnInfoRecordsAggregate-org.apache.poi.hssf.model.RecordStream-">ColumnInfoRecordsAggregate</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                        title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">ColumnInfoRecordsAggregate</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#collapseColumn-int-">collapseColumn</a></span>(int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#expandColumn-int-">expandColumn</a></span>(int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/ColumnInfoRecord.html"
                                        title="class in org.apache.poi.hssf.record">ColumnInfoRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#findColumnInfo-int-">findColumnInfo</a></span>(int&nbsp;columnIndex)</code>
                                    <div class="block">Finds the <tt>ColumnInfoRecord</tt> which contains the specified
                                        columnIndex
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#getMaxColumnIndex--">getMaxColumnIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#getMaxOutlineLevel--">getMaxOutlineLevel</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#getMinColumnIndex--">getMinColumnIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#getOutlineLevel-int-">getOutlineLevel</a></span>(int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#groupColumnRange-int-int-boolean-">groupColumnRange</a></span>(int&nbsp;fromColumnIx,
                                    int&nbsp;toColumnIx,
                                    boolean&nbsp;indent)</code>
                                    <div class="block">Creates an outline group for the specified columns, by setting
                                        the level
                                        field for each col info record in the range.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#insertColumn-org.apache.poi.hssf.record.ColumnInfoRecord-">insertColumn</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/ColumnInfoRecord.html"
                                        title="class in org.apache.poi.hssf.record">ColumnInfoRecord</a>&nbsp;col)</code>
                                    <div class="block">Inserts a column into the aggregate (at the end of the list).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#setColumn-int-java.lang.Short-java.lang.Integer-java.lang.Integer-java.lang.Boolean-java.lang.Boolean-">setColumn</a></span>(int&nbsp;targetColumnIx,
                                    java.lang.Short&nbsp;xfIndex,
                                    java.lang.Integer&nbsp;width,
                                    java.lang.Integer&nbsp;level,
                                    java.lang.Boolean&nbsp;hidden,
                                    java.lang.Boolean&nbsp;collapsed)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</code>
                                    <div class="block">Visit each of the atomic BIFF records contained in this <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                        in the order
                                        that they should be written to file.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ColumnInfoRecordsAggregate--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ColumnInfoRecordsAggregate</h4>
                                <pre>public&nbsp;ColumnInfoRecordsAggregate()</pre>
                                <div class="block">Creates an empty aggregate</div>
                            </li>
                        </ul>
                        <a name="ColumnInfoRecordsAggregate-org.apache.poi.hssf.model.RecordStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ColumnInfoRecordsAggregate</h4>
                                <pre>public&nbsp;ColumnInfoRecordsAggregate(<a
                                        href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                        title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">ColumnInfoRecordsAggregate</a>&nbsp;clone()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertColumn-org.apache.poi.hssf.record.ColumnInfoRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertColumn</h4>
                                <pre>public&nbsp;void&nbsp;insertColumn(<a
                                        href="../../../../../../org/apache/poi/hssf/record/ColumnInfoRecord.html"
                                        title="class in org.apache.poi.hssf.record">ColumnInfoRecord</a>&nbsp;col)</pre>
                                <div class="block">Inserts a column into the aggregate (at the end of the list).</div>
                            </li>
                        </ul>
                        <a name="visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visitContainedRecords</h4>
                                <pre>public&nbsp;void&nbsp;visitContainedRecords(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">RecordAggregate</a></code></span>
                                </div>
                                <div class="block">Visit each of the atomic BIFF records contained in this <a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                    in the order
                                    that they should be written to file. Implementors may or may not return the actual
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                       title="class in org.apache.poi.hssf.record"><code>Record</code></a>s being used
                                    to manage POI's internal implementation. Callers should not
                                    assume either way, and therefore only attempt to modify those <a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                            title="class in org.apache.poi.hssf.record"><code>Record</code></a>s after
                                    cloning
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                                title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="collapseColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>collapseColumn</h4>
                                <pre>public&nbsp;void&nbsp;collapseColumn(int&nbsp;columnIndex)</pre>
                            </li>
                        </ul>
                        <a name="expandColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>expandColumn</h4>
                                <pre>public&nbsp;void&nbsp;expandColumn(int&nbsp;columnIndex)</pre>
                            </li>
                        </ul>
                        <a name="setColumn-int-java.lang.Short-java.lang.Integer-java.lang.Integer-java.lang.Boolean-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColumn</h4>
                                <pre>public&nbsp;void&nbsp;setColumn(int&nbsp;targetColumnIx,
                      java.lang.Short&nbsp;xfIndex,
                      java.lang.Integer&nbsp;width,
                      java.lang.Integer&nbsp;level,
                      java.lang.Boolean&nbsp;hidden,
                      java.lang.Boolean&nbsp;collapsed)</pre>
                            </li>
                        </ul>
                        <a name="groupColumnRange-int-int-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>groupColumnRange</h4>
                                <pre>public&nbsp;void&nbsp;groupColumnRange(int&nbsp;fromColumnIx,
                             int&nbsp;toColumnIx,
                             boolean&nbsp;indent)</pre>
                                <div class="block">Creates an outline group for the specified columns, by setting the
                                    level
                                    field for each col info record in the range. <a
                                            href="../../../../../../org/apache/poi/hssf/record/ColumnInfoRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>ColumnInfoRecord</code></a>s
                                    may be created, split or merged as a result of this operation.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fromColumnIx</code> - group from this column (inclusive)</dd>
                                    <dd><code>toColumnIx</code> - group to this column (inclusive)</dd>
                                    <dd><code>indent</code> - if <code>true</code> the group will be indented by one
                                        level, if <code>false</code> indenting will be decreased by
                                        one level.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findColumnInfo-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findColumnInfo</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/ColumnInfoRecord.html"
                                        title="class in org.apache.poi.hssf.record">ColumnInfoRecord</a>&nbsp;findColumnInfo(int&nbsp;columnIndex)</pre>
                                <div class="block">Finds the <tt>ColumnInfoRecord</tt> which contains the specified
                                    columnIndex
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - index of the column (not the index of the
                                        ColumnInfoRecord)
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>null</code> if no column info found for the specified column</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMaxOutlineLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMaxOutlineLevel</h4>
                                <pre>public&nbsp;int&nbsp;getMaxOutlineLevel()</pre>
                            </li>
                        </ul>
                        <a name="getOutlineLevel-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOutlineLevel</h4>
                                <pre>public&nbsp;int&nbsp;getOutlineLevel(int&nbsp;columnIndex)</pre>
                            </li>
                        </ul>
                        <a name="getMinColumnIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinColumnIndex</h4>
                                <pre>public&nbsp;int&nbsp;getMinColumnIndex()</pre>
                            </li>
                        </ul>
                        <a name="getMaxColumnIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getMaxColumnIndex</h4>
                                <pre>public&nbsp;int&nbsp;getMaxColumnIndex()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ColumnInfoRecordsAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/ChartSubstreamRecordAggregate.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/ConditionalFormattingTable.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="ColumnInfoRecordsAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
